// DFFileStudioXML.h: Schnittstelle für die Klasse CDFFileStudioXML.
//
//////////////////////////////////////////////////////////////////////
#ifndef DFFILESTUDIOXML_H
#define DFFILESTUDIOXML_H

// Itemklasse einbinden
#include "../DFItem/DFItems.h"
// Fehlercodes einbinden
#include "../Common/AEErrorDef.h"

class CDFFileStudioXML : public FileStudio  
{
public:
	CDFFileStudioXML();
	virtual ~CDFFileStudioXML();

public:
	int Modify( char *data, int *piError );

protected:
	void Reset();
	int Extract( char *elementPathParam, TiXmlElement *element, CModifyData &modifyData );

protected:
	TiXmlDocument m_doc;
	char m_errorText[255];
};

#endif
